package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shangfeng
 * @date 2024-10-12 11:04:43
 */
public class GroupChatActivityRewardLogExportVO implements Serializable {

    private static final long serialVersionUID = 881973792150280113L;

    /**
     * 会员是否删除
     * 0 正常
     * 1 已删除
     */
    private Integer memberDeleteFlag;

    /**
     * 奖励人类型 1邀请人2受邀人
     */
    private String rewardInviteType;

    /**
     * 奖励阶梯 阶梯奖励，其他奖励默认1
     */
    private String inviteLevelType;

    /**
     * 会员名称
     */
    private String name;

    /**
     * 会员手机
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String phoneNumber;

    /**
     * 会员别名昵称
     */
    private String nickName;

    /**
     * 奖励积分
     */
    private Integer integral;

    /**
     * 奖励成长值
     */
    private Integer growth;

    /**
     * 奖励卡券
     */
    private String cardInfo;

    /**
     * 奖励时间
     */
    private String rewardTimeDesc;

    public Integer getMemberDeleteFlag() {
        return memberDeleteFlag;
    }

    public void setMemberDeleteFlag(Integer memberDeleteFlag) {
        this.memberDeleteFlag = memberDeleteFlag;
    }

    public String getRewardInviteType() {
        return rewardInviteType;
    }

    public void setRewardInviteType(String rewardInviteType) {
        this.rewardInviteType = rewardInviteType;
    }

    public String getInviteLevelType() {
        return inviteLevelType;
    }

    public void setInviteLevelType(String inviteLevelType) {
        this.inviteLevelType = inviteLevelType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public Integer getGrowth() {
        return growth;
    }

    public void setGrowth(Integer growth) {
        this.growth = growth;
    }

    public String getCardInfo() {
        return cardInfo;
    }

    public void setCardInfo(String cardInfo) {
        this.cardInfo = cardInfo;
    }

    public String getRewardTimeDesc() {
        return rewardTimeDesc;
    }

    public void setRewardTimeDesc(String rewardTimeDesc) {
        this.rewardTimeDesc = rewardTimeDesc;
    }
}
